package WebDP::Album::Image;
use strict;

sub new {
    my($class, $file, $folder) = @_;
    bless {
        name   => $file,
        folder => $folder,
    }, $class;
}

sub name   { shift->{name} }
sub folder { shift->{folder} }

sub src {
    my $self = shift;
    return join "/", $self->folder->dir, $self->name;
}

1;
