package WebDP::Template;
use strict;

sub new {
    my($class, $file) = @_;
    bless {
        file => $file,
        vars => {},
    }, $class;
}

sub fill {
    my($self, %vars) = @_;
    while (my($key, $val) = each %vars) {
        $self->{vars}->{$key} = $val;
    }
}

sub output { die }

1;
