#!/usr/local/bin/perl -wT
use strict;
use lib '.';
use CGI;
use WebDP::Album::Folder;
use WebDP::Template::TT;

my $query = CGI->new;
do_task($query);

sub do_task {
    my $query = shift;
    my @folders  = WebDP::Album::Folder->available;

    my $template = WebDP::Template::TT->new('index');
    $template->fill(folders => \@folders);            # #1
    print $query->header(-charset => 'euc-jp'), $template->output;
}
