package WebDP::Template::HT;
use strict;
require WebDP::Template;
use base qw(WebDP::Template);

use HTML::Template;

sub output {
    my $self = shift;
    my $template = HTML::Template->new(
        filename => $self->{file} . '.tmpl',
        die_on_bad_params => 0,
    );
    $template->param($self->{vars});
    return $template->output;
}

1;
