#!/usr/local/bin/perl -wT
use strict;
use lib '.';
use CGI;
use WebDP::Album::Folder;
use WebDP::Template::HT;

my $query = CGI->new;
do_task($query);

sub do_task {
    my $query = shift;
    my @folders  = WebDP::Album::Folder->available;     # #1
    my @tmpl_folders = map {
        +{                                              #
            name    => $_->name,                        #
            number  => $_->number,                        # #2
            updated => $_->updated,                        #
        };                                                #
    } @folders;

    my $template = WebDP::Template::HT->new('index');
    $template->fill(folders => \@tmpl_folders);
    print $query->header(-charset => 'euc-jp'), $template->output;
}
