#!/usr/local/bin/perl -wT
use strict;
use lib '.';
use CGI;
use WebDP::Album::Folder;
use WebDP::Template::TT;

my $query = CGI->new;
do_task($query);

sub do_task {
    my $query = shift;
    my $name = ($query->param('name') =~ /^(\w+)$/)[0]
        or die "name not found.";
    my $folder   = WebDP::Album::Folder->new($name);

    my $template = WebDP::Template::TT->new('list');
    $template->fill(folder => $folder);
    print $query->header(-charset => 'euc-jp'), $template->output;
}
